Is there a bug in Subd.CreateFromSweep()?

I am getting conflicting errors that makes the SubD.CreateFromSweep static method not work for me.

            this.prongSubD = RG.SubD.CreateFromSweep(centerlineCurve, profiles, true, false, false);

This gives the error

 Argement 2 cannot convert from System.Collection.Generic.List<Rhino.Geometry.NurbsCurve> to Rhino.Geometry.NurbsCurve

So I add the same rail twice to satisfy what appears to be the second signature.

            this.prongSubD = RG.SubD.CreateFromSweep(centerlineCurve, centerlineCurve, profiles, true, false, false);

And I get the error:
Argument2 cannot convert from Rhino.Geometry.NurbsCurve to Sytem.Collections.Generic.IEnumerable<Rhino.Geometry.NurbsCurve>

It seems When I try the first signature I get the error message as if it is the second overload method, and when I try the second signature I get a warning as if it is the first! Maybe I missed something, but here seems to be a bug preventing me from using this method.

looks like the args are still mismatching with the 2 overloads

this.prongSubD = RG.SubD.CreateFromSweep(centerlineCurve, profiles, true, false, false);
this seems to be missing a Vector3d arg at the end

this.prongSubD = RG.SubD.CreateFromSweep(centerlineCurve, centerlineCurve, profiles, true, false, false);
this seems to have one too many boolean at the end

https://developer.rhino3d.com/api/rhinocommon/rhino.geometry.subd/createfromsweep

I was having trouble with the Vecotr3d. Then I read this " * If roadlikeFrame = true, provide 3D vector used to calculate the frame rotations for sweep shapes. If roadlikeFrame = false, then pass Vector3d.Unset ." I was trying to set it to null or leave it empty.